#[repr(u8)]
#[derive(Copy, Clone, Debug, PartialEq, Eq, PartialOrd, Ord)]
#[cfg_attr(feature = "serde", derive(Serialize, Deserialize))]
#[cfg_attr(
    feature = "serde", serde(rename_all = "camelCase", deny_unknown_fields)
)]
pub enum StorageTypeWithMixed {
    Channel = 0b01,
    Fixed = 0b10,
    ChannelOrFixed = 0b11,
}
